ru.bitel.bgbilling.modules.softline.common.bean

## Enum SubscriptionSuspendReason

- java.lang.Object
- - java.lang.Enum<SubscriptionSuspendReason>
  - - ru.bitel.bgbilling.modules.softline.common.bean.SubscriptionSuspendReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SubscriptionSuspendReason>

      public enum SubscriptionSuspendReason
      extends java.lang.Enum<SubscriptionSuspendReason>

  Причины приостановки подписок

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `agg_close`
    `fin_block`
    `user_refuse`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `static java.lang.String` | `getDescription(int code)`
    `static SubscriptionSuspendReason` | `getReason(int code)`
    `static SubscriptionSuspendReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SubscriptionSuspendReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### fin_block

          public static final SubscriptionSuspendReason fin_block

    - #### user_refuse

          public static final SubscriptionSuspendReason user_refuse

    - #### agg_close

          public static final SubscriptionSuspendReason agg_close

  - ### Method Detail

    - #### values

          public static SubscriptionSuspendReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscriptionSuspendReason c : SubscriptionSuspendReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscriptionSuspendReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

    - #### getDescription

          public static java.lang.String getDescription(int code)

    - #### getReason

          public static SubscriptionSuspendReason getReason(int code)